org.cpsolver.coursett.sectioning

## Class SctSectioning.GroupBasedInitialSectioning

- java.lang.Object
- - org.cpsolver.coursett.model.InitialSectioning
  - - org.cpsolver.coursett.custom.DeterministicStudentSectioning.DeterministicInitialSectioning
    - - org.cpsolver.coursett.sectioning.SctSectioning.GroupBasedInitialSectioning

- All Implemented Interfaces:
    Comparator<Student>
  Enclosing class:
    SctSectioning

      protected static class SctSectioning.GroupBasedInitialSectioning
      extends DeterministicStudentSectioning.DeterministicInitialSectioning

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.cpsolver.coursett.model.InitialSectioning

      `InitialSectioning.Group`

  - ### Field Summary

    - ### Fields inherited from class org.cpsolver.coursett.model.InitialSectioning

      `iGroups, iMustFollowReservations, iOfferingId, iProgress, iStudents, sNominalWeight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupBasedInitialSectioning(Progress progress, Long offeringId, Collection<?> lectureOrConfigurations, Collection<Student> students)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Student s1, Student s2)` Sort students by their curriculum information and id

    - ### Methods inherited from class org.cpsolver.coursett.custom.DeterministicStudentSectioning.DeterministicInitialSectioning

      `getGroups, tweakSizes`

    - ### Methods inherited from class org.cpsolver.coursett.model.InitialSectioning

      `addStudent, getProgress, initialSectioningCfg, isMustFollowReservations, moveIntoOneStudent, setMustFollowReservations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### GroupBasedInitialSectioning

          public GroupBasedInitialSectioning(Progress progress,
                                             Long offeringId,
                                             Collection<?> lectureOrConfigurations,
                                             Collection<Student> students)

  - ### Method Detail

    - #### compare

          public int compare(Student s1,
                             Student s2)

      Description copied from class: `DeterministicStudentSectioning.DeterministicInitialSectioning`
      Sort students by their curriculum information and id
      Specified by:
        `compare` in interface `Comparator<Student>`
      Overrides:
        `compare` in class `DeterministicStudentSectioning.DeterministicInitialSectioning`